/* ----
 * ---- file   : main.c
 * ---- author : Bastian Spiegel <bs@tkscript.de>
 * ---- legal  : (c) 2013 by Bastian Spiegel.
 * ----          Distributed under terms of the MIT LICENSE (MIT).
 * ----
 * ---- Permission is hereby granted, free of charge, to any person obtaining a copy
 * ---- of this software and associated documentation files (the "Software"), to deal
 * ---- in the Software without restriction, including without limitation the rights
 * ---- to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * ---- copies of the Software, and to permit persons to whom the Software is
 * ---- furnished to do so, subject to the following conditions:
 * ----
 * ---- The above copyright notice and this permission notice shall be included in
 * ---- all copies or substantial portions of the Software.
 * ----
 * ---- THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * ---- IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * ---- FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * ---- AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * ---- LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * ---- OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * ---- THE SOFTWARE.
 * ----
 * ---- info   : This is part of the "c64_tools" package examples.
 * ----
 * ---- changed: 06Sep2013, 08Sep2013, 14Sep2013, 15Sep2013
 * ----
 * ----
 */

#include "../../../include/types.h"

#include <libc64_dsp/include/mlb.h>

#include "components.h"

/* --------------------------------------------------------------------------- module vars */


/* --------------------------------------------------------------------------- main() */
void main(void) {

   /* Initialize mailbox and create mlb task */
   mlb_init();

   /* Register the simple calculator component */
   (void)mlb_component_register(COMPONENT_DEMO_CALC, &component_demo_calc);

   /* Register the simple memory checksum component */
   (void)mlb_component_register(COMPONENT_DEMO_CHECKSUM, &component_demo_checksum);

   /* Start mailbox task and initialize components */
   mlb_start();

   /* (note) DSPBIOS tasks will start up when main() returns */
}
