/* ----
 * ---- file   : dsp_config.h
 * ---- author : Bastian Spiegel <bs@tkscript.de>
 * ---- legal  : (c) 2013 by Bastian Spiegel. 
 * ----          Distributed under terms of the LESSER GNU GENERAL PUBLIC LICENSE (LGPL). See 
 * ----          http://www.gnu.org/licenses/licenses.html#LGPL or COPYING_LGPL for further information.
 * ----
 * ---- info   : Common DSP types and structs. This is part of the "c64_tools" package.
 * ----
 * ---- changed: 06Sep2013, 08Sep2013, 18Sep2013
 * ----
 * ----
 */

#ifndef __C64_TOOLS_DSP_CONFIG_H__
#define __C64_TOOLS_DSP_CONFIG_H__

#include "cplusplus_begin.h"


typedef struct {
   dsp_mem_region_t reset_vector;  // contains just a jmp to boot.o64P in .sysinit section (code generated by GPP)
                                   //  must be aligned to 4k page boundary
   dsp_mem_region_t ram;           // DSP image code/data and DSP-side heap
} dsp_config_t;


// (note) config MUST match DSPImage memory config (see <prj>.tci) or hell might break loose
// (note) see "dsp_config.c"
S_EXTERN dsp_config_t dsp_config;


#include "cplusplus_end.h"

#endif /* __C64_TOOLS_DSP_CONFIG_H__ */
